
;-| Super Motions |--------------------------------------------------------
;-----------------
; Final Flash
[Command]
name = fflash
command = ~D, DB, ~B, F, y
time = 20

;-----------------
; Energy Shower
[Command]
name = enshower
command = ~D, DF, ~F, ~D, DF, F, y
time = 20

;-| Special Motions |------------------------------------------------------
;-----------------
; Dash Bomb
[Command]
name = dbomb_a
command = ~F, DF, ~D, DB, B, a
time = 10

[Command]
name = dbomb_b
command = ~F, DF, ~D, DB, B, b
time = 10

;-----------------
; QCF
[Command]
name = QCF_a
command = ~D, DF, F, a

[Command]
name = QCF_b
command = ~D, DF, F, b

[Command]
name = QCF_c
command = ~D, DF, F, c

[Command]
name = QCF_x
command = ~D, DF, F, x

[Command]
name = QCF_y
command = ~D, DF, F, y

[Command]
name = QCF_z
command = ~D, DF, F, z

;-----------------
; QCB
[Command]
name = QCB_a
command = ~D, DB, B, a

[Command]
name = QCB_b
command = ~D, DB, B, b

[Command]
name = QCB_c
command = ~D, DB, B, c

[Command]
name = QCB_x
command = ~D, DB, B, x

[Command]
name = QCB_y
command = ~D, DB, B, y

[Command]
name = QCB_z
command = ~D, DB, B, z

;-----------------
; Uppercut
[Command]
name = uppercut_a
command = ~F, D, DF, a

[Command]
name = uppercut_b
command = ~F, D, DF, b

[Command]
name = uppercut_c
command = ~F, D, DF, c

[Command]
name = uppercut_x
command = ~F, D, DF, x

[Command]
name = uppercut_y
command = ~F, D, DF, y

[Command]
name = uppercut_z
command = ~F, D, DF, z


;--------------------
;Charge_Down_up
[Command]
name = chargedownup_a
command = ~60$D, U, a
time = 10

[Command]
name = chargedownup_b
command = ~60$D, U, b
time = 10

[Command]
name = chargedownup_c
command = ~60$D, U, c
time = 10

[Command]
name = chargedownup_x
command = ~60$D, U, x
time = 10

[Command]
name = chargedownup_y
command = ~60$D, U, y
time = 10

[Command]
name = chargedownup_z
command = ~60$D, U, z
time = 10

;--------------------
;Charge_Back_fwd
[Command]
name = chargebackfwd_a
command = ~60$B, F, a
time = 10

[Command]
name = chargebackfwd_b
command = ~60$B, F, b
time = 10

[Command]
name = chargedownup_c
command = ~60$D, U, c
time = 10

[Command]
name = chargedownup_x
command = ~60$D, U, x
time = 10

[Command]
name = chargedownup_y
command = ~60$D, U, y
time = 10

[Command]
name = chargedownup_z
command = ~60$D, U, z
time = 10



;-| Double Tap |-----------------------------------------------------------
[Command]
name = FF       ;Required (do not remove)
command = F, F
time = 10

[Command]
name = BB       ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = a+b
time = 1

[Command]
name = ab
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = fwd_a
command = /F,a
time = 1

[Command]
name = fwd_b
command = /F,b
time = 1

[Command]
name = fwd_c
command = /F,c
time = 1

[Command]
name = fwd_x
command = /F,x
time = 1

[Command]
name = fwd_y
command = /F,y
time = 1

[Command]
name = fwd_z
command = /F,z
time = 1

[Command]
name = back_a
command = /B,a
time = 1

[Command]
name = back_b
command = /B,b
time = 1

[Command]
name = back_c
command = /B,c
time = 1

[Command]
name = down_a
command = /$D,a
time = 1

[Command]
name = down_b
command = /$D,b
time = 1

[Command]
name = down_c
command = /$D,c
time = 1

[Command]
name = fwd_ab
command = /F, a+b
time = 1

[Command]
name = back_ab
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = a
command = a
time = 1

[Command]
name = b
command = b
time = 1

[Command]
name = c
command = c
time = 1

[Command]
name = x
command = x
time = 1

[Command]
name = y
command = y
time = 1

[Command]
name = z
command = z
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = holdback ;Required (do not remove)
command = /$B
time = 1

[Command]
name = holdup   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = holddown ;Required (do not remove)
command = /$D
time = 1

[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;Final Flash
[State -1]
type = ChangeState
value = 3000
triggerall = command = fflash
triggerall = power >= 2000
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 430
trigger2 = MoveContact = 1
trigger2 = Time >= 10
trigger3 = stateno = 220
trigger3 = MoveContact = 1
trigger4 = stateno = 3200

;---------------------------------------------------------------------------
; Air Final Flash
[State -1]
type = ChangeState
value = 3050
triggerall = command = fflash
triggerall = power >= 2000
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger1 = ctrl = 1
trigger2 = stateno = 600
trigger2 = MoveContact = 1
trigger3 = stateno = 630
trigger3 = MoveContact = 1
trigger4 = stateno = 610
trigger4 = MoveContact = 1

;---------------------------------------------------------------------------
; Energy Shower
[State -1]
type = ChangeState
value = 3200
triggerall = command = enshower
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 430
trigger2 = MoveContact = 1
trigger2 = Time >= 10
trigger3 = stateno = 220
trigger3 = MoveContact = 1
trigger4 = stateno = 1050
trigger4 = time >= 4

;---------------------------------------------------------------------------
; Dash Bomb_A
[State -1]
type = null;ChangeState
value = 1500
triggerall = command = dbomb_a
trigger1 = statetype != A

;---------------------------------------------------------------------------
;Energy Dan (left)
[State -1]
type = ChangeState
value = 1000
triggerall = command = QCF_x
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Energy Dan (right)
[State -1]
type = ChangeState
value = 1050
triggerall = command = QCF_y
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 1000
trigger2 = time >= 4

;---------------------------------------------------------------------------
; Rising Knee A
[State -1]
type = ChangeState
value = 1750
triggerall = command = uppercut_a
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = MoveContact = 1
trigger3 = stateno = 220
trigger3 = MoveContact = 1
trigger4 = stateno = 400
trigger4 = MoveContact = 1
trigger5 = stateno = 420
trigger5 = MoveContact = 1
trigger6 = stateno = 210
trigger6 = MoveContact = 1

;---------------------------------------------------------------------------
; Rising Knee B
[State -1]
type = ChangeState
value = 1700
triggerall = command = uppercut_b
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = MoveContact = 1
trigger3 = stateno = 220
trigger3 = MoveContact = 1
trigger4 = stateno = 400
trigger4 = MoveContact = 1
trigger5 = stateno = 420
trigger5 = MoveContact = 1
trigger6 = stateno = 210
trigger6 = MoveContact = 1

;---------------------------------------------------------------------------
; Air Bomb (after 1701)
[State -1]
type = ChangeState
value = 1702
triggerall = command = y
triggerall = stateno = 1701
trigger1 = Time >= 16
trigger2 = MoveContact = 1


;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = FF
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = BB
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_Throw (close dir+b)
; Complicated? Skip the throws and look at stand_a, etc, first.
; This is disabled right now. Remove the "null;" below when you
; want to use it.
[State -1]
type = null; ChangeState
value = 900
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = p2bodydist X < 5 ;Near P2
trigger1 = command = fwd_b   ;p2 stand
trigger1 = stateno != 100    ;Not running
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = fwd_b   ;p2 crouch
trigger2 = stateno != 100    ;Not running
trigger2 = p2statetype = C
trigger2 = p2movetype != H
trigger3 = command = back_b  ;p2 stand
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger4 = command = back_b  ;p2 crouch
trigger4 = p2statetype = C
trigger4 = p2movetype != H

;---------------------------------------------------------------------------
;Air_Throw1 (close dir+b)
; This is disabled right now. Remove the "null;" below when you
; want to use it.
[State -1]
type = null; ChangeState
value = 950
triggerall = statetype = A
triggerall = ctrl = 1
triggerall = p2bodydist X < 9
triggerall = p2bodydist Y > -22
triggerall = p2bodydist Y < 22
triggerall = p2statetype = A
triggerall = p2movetype != H
trigger1 = command = fwd_b
trigger2 = command = back_b


;===========================================================================
;---------------------------------------------------------------------------
;RUN ELBOW
[State -1]
type = ChangeState
value = 300
triggerall = command = fwd_y
triggerall = command != holddown
trigger1 = stateno = 100
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;PUNCH
[State -1]
type = ChangeState
value = 200
triggerall = command = x
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 210
trigger2 = MoveContact = 1
trigger3 = stateno = 200
trigger3 = MoveContact = 1
trigger4 = stateno = 400
trigger4 = MoveContact = 1

;---------------------------------------------------------------------------
;KNEE
[State -1]
type = ChangeState
value = 210
triggerall = command = a
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 210
trigger2 = MoveContact = 1

;---------------------------------------------------------------------------
;HAMMER
[State -1]
type = ChangeState
value = 220
triggerall = command = y
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = MoveContact = 1

;---------------------------------------------------------------------------
;KICK
[State -1]
type = ChangeState
value = 230
triggerall = command = b
triggerall = command != holddown
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 220
trigger2 = MoveContact = 1
trigger3 = stateno = 200
trigger3 = MoveContact = 1
trigger4 = stateno = 300
trigger4 = MoveContact = 1

;---------------------------------------------------------------------------
;CROUCH PUNCH
[State -1]
type = ChangeState
value = 400
triggerall = command = x
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger2 = Time >= 4
trigger3 = stateno = 200
trigger3 = MoveContact = 1

;---------------------------------------------------------------------------
;CROUCH KICK
[State -1]
type = ChangeState
value = 410
triggerall = command = a
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger2 = MoveContact = 1

;---------------------------------------------------------------------------
;HAMMER UP
[State -1]
type = ChangeState
value = 420
triggerall = command = y
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = MoveContact = 1
trigger3 = stateno = 300
trigger3 = MoveContact = 1
trigger4 = stateno = 400
trigger4 = MoveContact = 1

;---------------------------------------------------------------------------
;HANDSTAND KICK
[State -1]
type = ChangeState
value = 430
triggerall = command = b
triggerall = command = holddown
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = MoveContact = 1
trigger3 = stateno = 420
trigger3 = MoveContact = 1
trigger4 = stateno = 400
trigger4 = MoveContact = 1
trigger5 = stateno = 410
trigger5 = MoveContact = 1

;---------------------------------------------------------------------------
;Jump from HammerUp
[State -1]
type = ChangeState
value = 40
triggerall = command = holdup
triggerall = movecontact = 1
trigger1 = stateno = 420

;---------------------------------------------------------------------------
;Jump Punch
[State -1]
type = ChangeState
value = 600
trigger1 = command = x
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump Kick1
[State -1]
type = ChangeState
value = 610
triggerall = command = a
triggerall = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600
trigger2 = MoveContact = 1

;---------------------------------------------------------------------------
;Jump Bomb
[State -1]
type = ChangeState
value = 620
triggerall = command = y
triggerall = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600
trigger2 = MoveContact = 1
trigger3 = stateno = 630
trigger3 = MoveContact = 1
trigger4 = stateno = 610
trigger4 = MoveContact = 1

;---------------------------------------------------------------------------
;Jump Kick2
[State -1]
type = ChangeState
value = 630
triggerall = command = b
triggerall = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600
trigger2 = MoveContact = 1
trigger3 = stateno = 610
trigger3 = MoveContact = 1
